Summary: GNU Emacs
Name: emacs
Version: 19.34
Release: 4
Copyright: GPL
Group: Applications/Editors/Emacs
Source: prep.ai.mit.edu:/pub/gnu/emacs-19.34b.tar.gz
Patch0: emacs-gnulinux.patch
Patch1: emacs-xaw3d.patch
Patch2: emacs-lockdir.patch
Patch3: emacs-19.34-gps.patch
Patch4: emacs-19.34-gctags.patch
BuildRoot: /tmp/em-root

%changelog

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved ctags to gctags to fit in the more powerful for C (but less
general) exuberant ctags as the binary /usr/bin/ctags and the
man page /usr/man/man1/ctags.1

%description
Emacs is the extensible, customizable, self-documenting real-time
display editor.  Emacs has special code editing modes, a scripting
language (elisp), and comes with many packages for doing mail,
news, and more, all in your editor.

This package includes the libraries necessary to run the emacs editor -
the actual program can be found in either the emacs-nox or emacs-X11
packages, depending on whether you use X Windows or not.

%package el
Summary: .el source files -- not necessary to run Emacs
Group: Applications/Editors/Emacs

%description el
This package contains the emacs-lisp sources for many of the
elisp programs included with the main emacs package.  You do
not need this package unless you want to modify these packages,
or see some elisp examples.

%package nox
Summary: emacs-nox -- no X libraries required
Group: Applications/Editors/Emacs
Requires: emacs

%description nox
This package contains an emacs binary built without support for
X Windows.  While the emacs binary in the main emacs package will
work fine outside of X Windows (on the console, for instance),
the one in this package has a smaller memory image.

%package X11
Summary: emacs-X11 -- emacs with X Windows libraries
Group: Applications/Editors/Emacs
Requires: emacs

%description X11
This package contains an emacs binary built with support for X
Windows. It will still work fine outside of X Windows (on the console,
for instance) but supports the mouse and GUI elements when used inside
of X Windows.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%ifarch alpha
%patch3 -p1
%endif

%patch4 -p1 -b .gctags

find . -name "*.orig" -exec rm -f {} \;

%build
ARCHDIR=${RPM_ARCH}-gnu-linux
HOSTTYPE=${RPM_ARCH}-gnu-linux
PUREDEF=""
XPUREDEF=""

CFLAGS="$RPM_OPT_FLAGS $PUREDEF" LDFLAGS=-s ./configure --prefix=/usr --libexecdir=/usr/lib --with-x=no --sharedstatedir=/var $HOSTTYPE
make
cp src/emacs emacs-nox

make clean

CFLAGS="$RPM_OPT_FLAGS $XPUREDEF" LDFLAGS=-s ./configure --prefix=/usr --with-x-toolkit --libexecdir=/usr/lib --sharedstatedir=/var $ARCHDIR
make 

# now fix that dang rmail package
cd lisp
echo '(byte-compile-file "rmail.el")' > /tmp/foo.$$
../src/emacs -batch -l /tmp/foo.$$
rm /tmp/foo.$$

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
ARCHDIR=${RPM_ARCH}-gnu-linux

make libexecdir=$RPM_BUILD_ROOT/usr/lib prefix=$RPM_BUILD_ROOT/usr sharedstatedir=$RPM_BUILD_ROOT/var install
rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9nf $RPM_BUILD_ROOT/usr/info/*
install -s -m755 emacs-nox $RPM_BUILD_ROOT/usr/bin

# For some reason, when emacs is stripped on the Alpha, it dumps core
%ifnarch alpha
strip $RPM_BUILD_ROOT/usr/bin/* ||:
for I in cvtmail digest-doc emacsserver fakemail hexl movemail profile \
	sorted-doc timer wakeup yow; do
	strip $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/$ARCHDIR/$I||:
done
%endif

chown root.mail $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/$ARCHDIR/movemail
chmod 2755 $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/$ARCHDIR/movemail

mkdir -p $RPM_BUILD_ROOT/var/lock/emacs
chmod 1777 $RPM_BUILD_ROOT/var/lock/emacs

mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/site-lisp
#cp -rp lisp $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION
#cp -rp etc $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION
#mkdir -p $RPM_BUILD_ROOT/usr/lib/emacs/$RPM_PACKAGE_VERSION/site-lisp

mv $RPM_BUILD_ROOT/usr/man/man1/ctags.1 $RPM_BUILD_ROOT/usr/man/man1/gctags.1
mv $RPM_BUILD_ROOT/usr/bin/ctags $RPM_BUILD_ROOT/usr/bin/gctags

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc etc/NEWS BUGS README etc/FAQ
/usr/bin/b2m
/usr/bin/gctags
/usr/bin/emacsclient
/usr/bin/etags
/usr/bin/rcs-checkin
/usr/man/*/*
/usr/info/*
%dir /var/lock/emacs

%dir /usr/lib/emacs
     /usr/lib/emacs/19.34
%dir /usr/lib/emacs/site-lisp

%dir /usr/share/emacs/site-lisp
%dir /usr/share/emacs/19.34
%dir /usr/share/emacs/19.34/site-lisp
%dir /usr/share/emacs/19.34/lisp
%dir /usr/share/emacs/19.34/lisp/term
     /usr/share/emacs/19.34/etc

/usr/share/emacs/19.34/lisp/*.elc
/usr/share/emacs/19.34/lisp/term/*.elc

/usr/share/emacs/19.34/lisp/term/README
/usr/share/emacs/19.34/lisp/term/AT386.el
/usr/share/emacs/19.34/lisp/term/bobcat.el
/usr/share/emacs/19.34/lisp/term/internal.el
/usr/share/emacs/19.34/lisp/term/keyswap.el
/usr/share/emacs/19.34/lisp/term/lk201.el
/usr/share/emacs/19.34/lisp/term/vt102.el
/usr/share/emacs/19.34/lisp/term/vt125.el
/usr/share/emacs/19.34/lisp/term/vt201.el
/usr/share/emacs/19.34/lisp/term/vt220.el
/usr/share/emacs/19.34/lisp/term/vt240.el
/usr/share/emacs/19.34/lisp/term/vt300.el
/usr/share/emacs/19.34/lisp/term/vt320.el
/usr/share/emacs/19.34/lisp/term/vt400.el
/usr/share/emacs/19.34/lisp/term/vt420.el
/usr/share/emacs/19.34/lisp/COPYING
/usr/share/emacs/19.34/lisp/forms-d2.dat
/usr/share/emacs/19.34/lisp/README
/usr/share/emacs/19.34/lisp/blessmail.el
/usr/share/emacs/19.34/lisp/forms-d2.el
/usr/share/emacs/19.34/lisp/forms-pass.el
/usr/share/emacs/19.34/lisp/loaddefs.el
/usr/share/emacs/19.34/lisp/loadup.el
/usr/share/emacs/19.34/lisp/patcomp.el
/usr/share/emacs/19.34/lisp/paths.el
/usr/share/emacs/19.34/lisp/sc.el
/usr/share/emacs/19.34/lisp/term-nasty.el
/usr/share/emacs/19.34/lisp/version.el
/usr/share/emacs/19.34/lisp/subdirs.el

%files el
/usr/share/emacs/19.34/lisp/*.el
/usr/share/emacs/19.34/lisp/term/*.el

%files nox
/usr/bin/emacs-nox

%files X11
/usr/bin/emacs
